\begin{figure}[htbp]
	\pgfplotsset{width=0.7\linewidth, height=5cm}
	\centering
	\begin{tikzpicture}

	\begin{loglogaxis}[
	legend pos = north west,
	]
	\addplot table[x={Threads}, y={Variacional-KNL}, col sep={comma}] {figs/results/graficas/speedup-chroma-florencia.csv};
	\addlegendentry{Xeon Phi KNL}

	\addplot table[x={Threads}, y={Variacional-i5}, col sep={comma}] {figs/results/graficas/speedup-chroma-florencia.csv};
	\addlegendentry{Intel Core i5}

	\addplot [color=black, no marks] coordinates {
		(1,1)
		(2,2)
		(4,4)
		(8,8)
		(16,16)
		(32,32)
		(68,68)
		(136,136)
		(272,272)
	};
	\addlegendentry{Ideal}
	\end{loglogaxis}

	\end{tikzpicture}
	\caption{\textit{Speedup} en el tratamiento de la imagen \texttt{florencia\_color} mediante el método variacional.}
	\label{fig:speedup-florencia-variacional}
\end{figure}
